package native_tools

type NativeToolsEnum int

const (
	WORKFLOW_EVENT NativeToolsEnum = iota
)

var Params = [...]interface{}{
	WorkflowEventParams{},
}

var Str = [...]string{
	"WORKFLOW_EVENT",
}

func (d NativeToolsEnum) Params() interface{} {
	return Str[d]
}

func (d NativeToolsEnum) String() string {
	return Str[d]
}
